# Uses of Interface
org.eclipse.gef.AutoexposeHelper

Packages that use AutoexposeHelper
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.dnd
org.eclipse.gef.editparts
This package contains abstract implementation of the EditPart interface.
org.eclipse.gef.tools
This package provides several tool implementations.

## Uses of AutoexposeHelper in org.eclipse.gef

Fields in org.eclipse.gef declared as AutoexposeHelper
Modifier and Type
Field
Description
`AutoexposeHelper`
AutoexposeHelper.Search.`result`

## Uses of AutoexposeHelper in org.eclipse.gef.dnd

Methods in org.eclipse.gef.dnd with parameters of type AutoexposeHelper
Modifier and Type
Method
Description
`protected void`
AbstractTransferDropTargetListener.`setAutoexposeHelper(AutoexposeHelper helper)`
Sets the current autoexpose helper.

## Uses of AutoexposeHelper in org.eclipse.gef.editparts

Classes in org.eclipse.gef.editparts that implement AutoexposeHelper
Modifier and Type
Class
Description
`class`
`ViewportAutoexposeHelper`
An implementation of `AutoexposeHelper` that performs autoscrolling of a `Viewport` figure.

## Uses of AutoexposeHelper in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return AutoexposeHelper
Modifier and Type
Method
Description
`protected AutoexposeHelper`
TargetingTool.`getAutoexposeHelper()`
Returns `null` or the current autoexpose helper.
Methods in org.eclipse.gef.tools with parameters of type AutoexposeHelper
Modifier and Type
Method
Description
`protected void`
DragEditPartsTracker.`setAutoexposeHelper(AutoexposeHelper helper)`
`protected void`
TargetingTool.`setAutoexposeHelper(AutoexposeHelper helper)`
Sets the active autoexpose helper to the given helper, or `null`.